Question about updating HashiCorp Terraform plugin

Hello! Are you planning to update HashiCorp Terraform plugin? Last version 0.7.10 and it's pretty obsolete. Autocomplete for Terraform versions 0.14+ not always works

3 comments
Comment actions Permalink

Hi Andrey. I'm aware of the deprecation notice you're referring to - but that's pretty confusing. First, the repo is only partially deprecated. The repository is deprecated in the sense that: no new code updates or pull requests, JB doesn't own the repo, and given JB does a great job communicating and being transparent through YouTrack about everything(?) else - we're still supposed to log issues about this JB-owned plugin in github? That doesn't seem to make much sense.

The plugin, while not completely broken, is headed that direction. It's saying a bunch of things we know to exist in the Terraform language are `unresolved references`. You don't have to believe my code, I'm seeing similar problems in RubyMine with this public TF module https://github.com/terraform-aws-modules/terraform-aws-ec2-instance.

I've spent the last few hours trying to figure out what is wrong with my TF code that was working last time I opened it. Obviously, I broke something. RM says a bunch of stuff is wrong with the code, but the parts it is marking are correctly written. So it's been a waste of time trying to figure out what has changed, what's not actually wrong, eventually why the plugin isn't working properly, and finally to this thread.

I guess what I'm asking is to please: open source the plugin so we can collectively fix it ourselves, or move the project + issue tracking to YouTrack so it has a chance of getting the attention it needs (and mark the GitHub repo deprecated for real), or some other way that gets the plugin fixed. Despite what that notice says, at least from my perspective - it's definitely not easier to deal with these JB IDE plugin issues in GH rather than YT.

Terraform is on 1.0.3. The last version of the source code in the GitHub repo looks like it is grabbing TF 0.12.8 to generate the syntax parsers or however it works. If JB is going to own this plugin and close the source, then please own the plugin fully. Otherwise, re-release the source so we don't have to beg.

I really like JB and your IDEs, but this is irritating. It's hard enough to do all the software development things - including keeping up with changes to things like Terraform - without having to either throw away what (was) a really useful language/syntax plugin, or constantly be wondering if the problem is the IDE throwing flags where there are none, or there's a problem with the TF code we're writing that we do need to fix.

5
Comment actions Permalink

The review section of this plugin has a clear number of comments about this. I hope JetBrains can take this more seriously. 

1
Comment actions Permalink

Hi, the plugin's GitHub page, even though giving a deprecation notice, states:

Though this repository is still used as issue tracker, so please create new issues here rather than in JetBrains tracker since plugin releases separately and it's simpler to track issues here.

So I believe it is best to ask in the respective issue tracker

0

Please sign in to leave a comment.